Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class AbstractLocalTransaction

    java.lang.Object
      |
      +--com.bea.adapter.spi.AbstractLocalTransaction

public abstract class AbstractLocalTransaction
extends java.lang.Object
implements javax.resource.cci.LocalTransaction, javax.resource.spi.LocalTransaction

Reduces the effort in implementing a LocalTransaction, provides logging, event notification, etc.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AbstractLocalTransaction(AbstractManagedConnection mc)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`protected abstract void` | `doBeginTx(AbstractManagedConnection amc)`
`protected abstract void` | `doCommitTx(AbstractManagedConnection amc)`
`protected abstract void` | `doRollbackTx(AbstractManagedConnection amc)`
`void` | `rollback()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLocalTransaction

    public AbstractLocalTransaction(AbstractManagedConnection mc)

Method Detail

### begin

    public void begin()
               throws javax.resource.ResourceException

  Specified by:
    begin in interface javax.resource.cci.LocalTransaction

### doBeginTx

    protected abstract void doBeginTx(AbstractManagedConnection amc)
                               throws java.lang.Exception

### commit

    public void commit()
                throws javax.resource.ResourceException

  Specified by:
    commit in interface javax.resource.cci.LocalTransaction

### doCommitTx

    protected abstract void doCommitTx(AbstractManagedConnection amc)
                                throws java.lang.Exception

### rollback

    public void rollback()
                  throws javax.resource.ResourceException

  Specified by:
    rollback in interface javax.resource.cci.LocalTransaction

### doRollbackTx

    protected abstract void doRollbackTx(AbstractManagedConnection amc)
                                  throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)